#line 1 "src_rus/library.rh"
#ifndef  LIBRARY_H
#define    LIBRARY_H
//==============================================================
// Подключаем разные стандартные библиотеки
//==============================================================
#include    <stdio.h>
#include   <stdarg.h>
#include 	<string.h>
#include 	<stdlib.h>
#include    <wchar.h>
#include 	"../include/keywords.h"
//==============================================================
// С помощью макросов даем новые названия функциям ввода-вывода
//==============================================================
#define    пчтф16( ... ) wprintf(  __VA_ARGS__ )  	// печатать форматированную строку
#define    пчтз16(x)     putwchar((x))				// печатать символ

//#define    пчтф( ... )   printf(  __VA_ARGS__ )  	// печатать форматированную строку
//ldbl_strong_alias (int printf (const char *__restrict __format, ...),  int пчтф (const char *__restrict __format, ...));
/*#define пчтф(format, args...)  \
       printf (format , ## args)
*/
#define    пчтс(x) puts((x))						// печатать строку
#define    пчтз(x) putchar((x))						// печатать символ
#define    читс(x) gets((x))						// читать строку
#define    читз(x) getchar(x)						// читать символ
//==============================================================
// Понятно без комментариев
//==============================================================
#define    НОЛЬ NULL
//==============================================================
// Переопределяем стандартные типы. Для удобства.
//==============================================================
тип 	             симв ц8;
тип          беззнак симв б8;
тип короткий 		  цел ц16;
тип короткий беззнак  цел б16;
тип					  цел ц32;
тип 		  беззнак цел б32;
тип 	    длин длин цел ц64; 
тип длин длин беззнак цел б64;

тип 		   wchar_t симв16;

//==============================================================
// Простенький макрос для отладки. Может пригодиться.
// Печатает название файла исходника и номер строки.
//==============================================================
#define    ОТЛАДКА 		printf("%s",__ФАЙЛ__); wprintf(L"   строка: %i\n", __СТРОКА__);
  

#endif  //	LIBRARY_H
